commit:     026f4ee66c2245bcd2a8f51365ab1e443f5b5fd3
Author:     Alex Brandt <alunduil <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 20 21:00:01 2016 +0000
Commit:     Alex Brandt <alunduil <AT> gentoo <DOT> org>
CommitDate: Sun Mar 20 21:06:40 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=026f4ee6

dev-python/dockerpty: add version 0.4.1

Package-Manager: portage-2.2.28

 dev-python/dockerpty/Manifest               |  1 +
 dev-python/dockerpty/dockerpty-0.4.1.ebuild | 31 +++++++++++++++++++++++++++++
 2 files changed, 32 insertions(+)

diff --git a/dev-python/dockerpty/Manifest b/dev-python/dockerpty/Manifest
index a456e3f..8e5d2d6 100644
--- a/dev-python/dockerpty/Manifest
+++ b/dev-python/dockerpty/Manifest
@@ -1,3 +1,4 @@
 DIST dockerpty-0.3.2.tar.gz 16808 SHA256 
c937518704d5ced544a556f97efef57327690f1cd64d413767d79dadd062d85f SHA512 
fccb52cfabe5bc8fe81e18179737a4aa9bb35d064d08b081dddd17805c47d8cc3aec23e49b3d0cc6b165fda158166965e56555a6ce8e633d5ba057d35e4061e4
 WHIRLPOOL 
0c0a1c0ce5e748f5771a776abfd3bb1300dc3d088ecec0620fa4ff6946ca9206297c770b57801380d2d160f358df91977ff977d3d3bfc9488958d53365939594
 DIST dockerpty-0.3.3.tar.gz 18583 SHA256 
4b59a42c9b13c878439ccb2f75d017f88f306ab33fae7b20d8ac1f7e3fa72af7 SHA512 
c5e0686c19b3ee3762c79d8f66602e25f3decd14c3ae35f514464c5e4c627e7653ca86f9e602535cb65c0d15d00ca5c687576214efe87a7309abca11cd6b8ea5
 WHIRLPOOL 
69bbf8bee0f52689e22827789fc05b64e6c09014e98a4075a746865567f8c790a533ce21f5e41319892b567fdbded6f428e0969a5b9c27b8726254d56901f6fa
 DIST dockerpty-0.3.4.tar.gz 18611 SHA256 
d041b268264905818ca7cfc52e14b738c1ff2c21ef59ccbed5d5ef81d4a7591e SHA512 
dee0cf8ae926bae3f5e96643e912d3cc2dbd782594fa148addac996909e7fec84e1e1579a8d00ce46479041e85496b0615cb4a68b635288d04a4ef73ad27b10d
 WHIRLPOOL 
ddd768c2b650301ac4c27fc9394d47f65303734abbbc1da7ddfdbd31ca89578a952b189e709a51134d0946985608af7ecb16108a52c8c6205b7ab58c0b7e7b61
+DIST dockerpty-0.4.1.tar.gz 19608 SHA256 
fd9acb9fa7a464b668dcc50612975f3c7f1485cc0213d19de8381cb641b49459 SHA512 
1f27a1d1cf9bfa21a77f2c0695334ec09a81ed5b70190b16fb23ec0e2ab4cb84af334b5e9275265eff2d8014aac5f96890276bed5775bb805c3f30260c99da70
 WHIRLPOOL 
8ab9edfff1d1a795f548ae66ea71064138a91b5a3b9909dea079b872a0b38e662d1cf14c19b10dce5c5671290c983e03e13e879709e7900e53d3faa8af76d207

diff --git a/dev-python/dockerpty/dockerpty-0.4.1.ebuild 
b/dev-python/dockerpty/dockerpty-0.4.1.ebuild
new file mode 100644
index 0000000..02e2d29
--- /dev/null
+++ b/dev-python/dockerpty/dockerpty-0.4.1.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 python3_3 python3_4 )
+
+inherit distutils-r1 vcs-snapshot
+
+DESCRIPTION="Python library to use the pseudo-tty of a docker container"
+HOMEPAGE="https://github.com/d11wtq/dockerpty";
+SRC_URI="https://github.com/d11wtq/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? (
+               >=dev-python/docker-py-0.7.0_rc2[${PYTHON_USEDEP}]
+               >=dev-python/expects-0.4[${PYTHON_USEDEP}]
+               >=dev-python/pytest-2.5.2[${PYTHON_USEDEP}]
+       )
+"
+RDEPEND=">=dev-python/six-1.3.0[${PYTHON_USEDEP}]"
+
+python_test() {
+       py.test tests || die "Tests failed under ${EPYTHON}"
+}

Reply via email to